Bug 21536 - Specify the origin of media data provided using Media Source Extensions
Specify the origin of media data provided using Media Source Extensions
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: Media Source Extensions
unspecified
PC All
: P2 normal
: ---
Assigned To: Adrian Bateman [MSFT]
HTML WG Bugzilla archive list
:
Depends on:
Blocks: 21203
  Show dependency treegraph
 
Reported: 2013-04-02 15:41 UTC by Mark Watson
Modified: 2013-04-24 17:25 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Watson 2013-04-02 15:41:55 UTC
Several procedures within the Media Element refer to the origin of the media data, which would usually be the scheme/domain of the network request used to fetch the media.

We need to define the origin for media data provided using Media Source Extensions.

When media data is provided using ArrayBufferViews it seems obvious that this origin should be the page origin.

When media data is provided using a MediaStream, it's not so obvious. What does MediaStream say about same-origin policy ?
Comment 1 Adrian Bateman [MSFT] 2013-04-03 02:45:51 UTC
If the application has direct access to data then it must be considered same-origin. We use this rule in other situations such as Blob. So any data that can be read (Typed Array or Stream) should be considered same-origin as the page.
Comment 2 Adrian Bateman [MSFT] 2013-04-23 20:27:21 UTC
Discussed that the F2F meeting - next action Adrian to provide text.
Comment 3 Adrian Bateman [MSFT] 2013-04-24 17:25:46 UTC
Fixed -> https://dvcs.w3.org/hg/html-media/rev/f1f9c26759d3